package cn.bunny.common.exception;

import cn.bunny.common.spzx.model.vo.common.ResultCodeEnum;
import lombok.Data;

@Data
public class BunnyException extends RuntimeException {
    private Integer code;
    private String message;
    private ResultCodeEnum resultCodeEnum;

    public BunnyException(ResultCodeEnum resultCodeEnum) {
        this.resultCodeEnum = resultCodeEnum;
        this.code = resultCodeEnum.getCode();
        this.message = resultCodeEnum.getMessage();
    }
}
