package cn.bunny.mapper;


import cn.bunny.common.spzx.model.dto.system.SysUserDto;
import cn.bunny.common.spzx.model.entity.system.SysUser;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysUserMapper {
    SysUser selectUserInfoByUserName(String userName);

    // 用户条件分页查询
    List<SysUser> findByPage(SysUserDto sysUserDto);

    // 用户添加
    void saveSysuser(SysUser sysUser);

    // 用户修改
    void updateUserInfo(SysUser sysUser);

    // 删除用户
    void deleteUserById(Integer id);
}
