package cn.bunny.service;

import cn.bunny.common.spzx.model.entity.system.SysMenu;
import cn.bunny.common.spzx.model.vo.system.SysMenuVo;

import java.util.List;

public interface SysMenuService {
    // 查询所有子节点
    List<SysMenu> findNodes();

    // 添加
    void save(SysMenu sysMenu);

    // 修改菜单
    void update(SysMenu sysMenu);

    // 删除菜单
    void removeById(Long id);

    // 查询用户可以操作菜单
    List<SysMenuVo> findMenusByUserId();
}
