package cn.bunny.service;

import cn.bunny.common.spzx.model.dto.system.AssginRoleDto;
import cn.bunny.common.spzx.model.dto.system.LoginDto;
import cn.bunny.common.spzx.model.dto.system.SysUserDto;
import cn.bunny.common.spzx.model.entity.system.SysUser;
import cn.bunny.common.spzx.model.vo.system.LoginVo;
import com.github.pagehelper.PageInfo;

public interface SysUserService {
    // 用户登录
    LoginVo login(LoginDto loginDto);

    // 获取用户token
    SysUser getUserInfo(String token);

    // 用户退出
    void logout(String token);

    // 用户条件分页查询
    PageInfo<SysUser> findByPage(Integer pageNum, Integer pageSize, SysUserDto sysUserDto);

    // 用户添加
    void saveSysUser(SysUser sysUser);

    // 用户修改
    void updateSysUser(SysUser sysUser);

    // 删除用户
    void deleteUserById(Integer userId);

    // 保存分配数据
    void doAssign(AssginRoleDto assginRoleDto);
}
