package cn.bunny.common.spzx.model.vo.file;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Schema(description = "上传文件返回信息")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UploadFileVo {
    @Schema(description = "文件访问路径")
    private String filepath;

    @Schema(description = "文件大小")
    private Long filesize;

    @Schema(description = "上传文件名")
    private String filename;
}
