package cn.bunny.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysRoleUserMapper {
    // 根据userId删除用户之前分配角色数据
    void deleteByUserId(Long userId);

    // 重新分配新数据 @Param 导包不要导错
    void doAssign(@Param("userId") Long userId,@Param("roleId") Long roleId);

    // 根据userId查询用户分配过角色id列表
    List<Long> selectRoleByUserId(Long userId);
}
